Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_dxgsg9.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "config_dxgsg9.h"`
`#include "dxGraphicsStateGuardian9.h"`
`#include "dxTextureContext9.h"`
`#include "dxVertexBufferContext9.h"`
`#include "dxIndexBufferContext9.h"`
`#include "dxOcclusionQueryContext9.h"`
`#include "dxShaderContext9.h"`
`#include "dxGeomMunger9.h"`
`#include "graphicsPipeSelection.h"`
`#include "wdxGraphicsWindow9.h"`
`#include "wdxGraphicsPipe9.h"`
`#include "wdxGraphicsBuffer9.h"`
`#include "pandaSystem.h"`
`#include "dconfig.h"`

Go to the source code of this file.

## Functions
| ConfigureFn (config_dxgsg9)
| DToolConfigure (config_dxgsg9)
void | init_libdxgsg9 ()
| Initializes the library.
| NotifyCategoryDef (dxgsg9, ":display:gsg")
| NotifyCategoryDef (wdxdisplay9, "display")

## Variables
ConfigVariableBool | dx_broken_depth_bias ("dx-broken-depth-bias", true, PRC_DESC("Configure this true if your graphics driver claims to support " "D3DPRASTERCAPS_DEPTHBIAS, but doesn't appear to do anything " "useful when you set it. In fact, there's not much reason not " "to just leave this set, since the workaround seems to be " "sufficient for all cases."))
ConfigVariableBool | dx_broken_max_index ("dx-broken-max-index", false, PRC_DESC("Configure this true if you have a buggy graphics driver that " "doesn't correctly implement the third parameter, NumVertices, " "of DrawIndexedPrimitive(). In particular, the NVIDIA Quadro " "driver version 6.14.10.7184 seems to treat this as a maximum " "vertex index, rather than a delta between the maximum and " "minimum vertex index. Turn this on if you are seeing stray " "triangles, or you are not seeing all of your triangles. Enabling " "this should work around this bug, at the cost of some additional " "rendering overhead on the GPU."))
ConfigVariableBool | dx_count_all_cards_memory ("dx-count-all-cards-memory", true, PRC_DESC("Set this to false to skip the counting of extra cards memory " "via DX7 calls."))
ConfigVariableDouble | dx_depth_bias_scale ("dx-depth-bias-scale", 0.000001, PRC_DESC("If depth bias is not directly supported by the graphics driver " "(or if dx-broken-depth-bias is set true), this configures the " "amount by which we slide the viewport back to achieve the effect " "of a depth bias. It should generally be a small number."))
ConfigVariableBool | dx_disable_driver_management ("dx-disable-driver-management", false)
ConfigVariableBool | dx_disable_driver_management_ex ("dx-disable-driver-management-ex", false)
ConfigVariableBool | dx_do_vidmemsize_check ("do-vidmemsize-check", true)
ConfigVariableBool | dx_force_16bpp_zbuffer ("dx-force-16bpp-zbuffer", false)
ConfigVariableBool | dx_force_anisotropic_filtering ("dx-force-anisotropic-filtering", false)
ConfigVariableInt | dx_force_backface_culling ("dx-force-backface-culling", 0)
ConfigVariableBool | dx_ignore_mipmaps ("dx-ignore-mipmaps", false)
ConfigVariableBool | dx_intel_compressed_texture_bug ("dx-intel-compressed-texture-bug", true, PRC_DESC("Set this true to work around a bug in the Intel driver " "igdumd32.dll, for at least the 965 Express chipset family, " "which breaks compressed texture images smaller " "than about 256x256 (even mipmap levels). The workaround is " "simply to disable compressed texture support when this " "driver is detected."))
ConfigVariableBool | dx_lru_debug ("dx-lru-debug", false)
ConfigVariableInt | dx_lru_debug_frames_til_output ("dx-lru-debug-frames-til-output", 500)
ConfigVariableBool | dx_lru_debug_textures ("dx-lru-debug-textures", false)
ConfigVariableBool | dx_lru_debug_vertex_buffers ("dx-lru-debug-vertex-buffers", false)
ConfigVariableInt | dx_lru_free_memory_requirement ("dx-lru-free-memory-requirement", 12000000)
ConfigVariableBool | dx_lru_management ("dx-lru-management", true)
ConfigVariableInt | dx_lru_maximum_memory_requirement ("dx-lru-maximum-memory-requirement", 0)
ConfigVariableInt | dx_lru_maximum_page_updates_per_frame ("dx-lru-maximum-page-updates-per-frame", 40)
ConfigVariableInt | dx_lru_maximum_pages ("dx-lru-maximum-pages", 8192)
ConfigVariableInt | dx_lru_minimum_memory_requirement ("dx-lru-minimum-memory-requirement", 64000000)
ConfigVariableBool | dx_management ("dx-management", false)
ConfigVariableBool | dx_mipmap_everything ("dx-mipmap-everything", false)
ConfigVariableBool | dx_no_dithering ("dx-no-dithering", false)
ConfigVariableBool | dx_no_vertex_fog ("dx-no-vertex-fog", false)
ConfigVariableInt | dx_preferred_device_id ("dx-preferred-device-id", -1)
ConfigVariableBool | dx_preserve_fpu_state ("dx-preserve-fpu-state", true)
ConfigVariableBool | dx_show_cursor_watermark ("dx-show-cursor-watermark", false)
ConfigVariableBool | dx_show_transforms ("dx-show-transforms", false)
ConfigVariableBool | dx_texture_management ("dx-texture-management", true)
ConfigVariableBool | dx_use_dynamic_textures ("dx-use-dynamic-textures", true)
ConfigVariableBool | dx_use_multithread ("dx-use-multithread", false)
ConfigVariableBool | dx_use_nvperfhud ("dx-use-nvperfhud", false)
ConfigVariableBool | dx_use_puredevice ("dx-use-puredevice", false)
ConfigVariableBool | dx_use_rangebased_fog ("dx-use-rangebased-fog", false)
ConfigVariableBool | dx_use_triangle_mipgen_filter ("dx-use-triangle-mipgen-filter", false)
ConfigVariableBool | link_tristrips ("link-tristrips", false)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  1999-10-06

Definition in file config_dxgsg9.cxx.

## Function Documentation

## ◆ ConfigureFn()

ConfigureFn | ( | config_dxgsg9 |  | ) |

Definition at line 235 of file config_dxgsg9.cxx.

## ◆ init_libdxgsg9()

void init_libdxgsg9 | ( |  | ) |

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 246 of file config_dxgsg9.cxx.

References GraphicsPipeSelection::add_pipe_type(), PandaSystem::add_system(), GraphicsPipeSelection::get_global_ptr(), PandaSystem::get_global_ptr(), and wdxGraphicsPipe9::pipe_constructor().

Referenced by init_libpandadx9().